curl --request GET \
--url https://app.realie.ai/api/public/property/location/ \
--header 'Authorization: <api-key>'import requests
url = "https://app.realie.ai/api/public/property/location/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.realie.ai/api/public/property/location/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"properties": [
{}
],
"metadata": {
"limit": 123,
"offset": 123,
"count": 123,
"searchCenter": {
"longitude": 123,
"latitude": 123
},
"radiusMiles": 123,
"includeUnassignedAddress": true
}
}{
"error": "Bad Request: longitude, latitude, and radius must be valid numbers"
}{
"error": "Unauthorized: API key is missing"
}{
"error": "Forbidden: Usage limit exceeded"
}{
"error": "No properties found"
}{
"error": "Internal Server Error"
}Location Search
Search by latitude/longitude with an optional radius in miles. By default, nearby searches exclude parcels without assigned addresses unless you explicitly set includeUnassignedAddress=true.
Authorizations
Provide your API key directly in the header.
Query Parameters
The longitude coordinate of the center point for the search.
The latitude coordinate of the center point for the search.
The radius in miles to search from the center point. Maximum value is 2 miles.
0 <= x <= 2Maximum number of results to return. Defaults to 10, maximum is 100.
1 <= x <= 100Number of records to skip. Defaults to 0.
x >= 0Filter for residential properties only. If true, returns only residential properties. If false, returns only non-residential properties.
If true, include nearby parcels that do not yet have an assigned address. By default, null or blank addresses are excluded.